added AUTHORS file
Juan Batiz-Benet committed
Feb 11, 2015 at 07:18 UTC
6f166529ddb91fbbbbc2c7651e0a5237f026672d
2 files changed
+38
docs/AUTHORS
new
+26
@@ -0,0 +1,26 @@
1
+# This file lists all individuals having contributed content to the repository.
2
+# For how it is generated, see `docs/generate-authors.sh`.
3
+
4
+Aaron Hill <aa1ronham@gmail.com>
5
+Brendan Mc <Bren2010@users.noreply.github.com>
6
+Brian Tiger Chow <brian.holderchow@gmail.com>
7
+Carlos Cobo <toqueteos@gmail.com>
8
+Chas Leichner <chas@chas.io>
9
+Christian Couder <chriscool@tuxfamily.org>
10
+Emery Hemingway <emery@vfemail.net>
11
+epitron <chris@ill-logic.com>
12
+Ethan Buchman <ethan@coinculture.info>
13
+Henry <cryptix@riseup.net>
14
+Jeromy Johnson <jeromyj@gmail.com>
15
+Juan Batiz-Benet <juan@benet.ai>
16
+llSourcell <sirajravel@gmail.com>
17
+Markus Amalthea Magnuson <markus.magnuson@gmail.com>
18
+Matt Bell <mappum@gmail.com>
19
+Mildred Ki'Lya <mildred-pub.git@mildred.fr>
20
+Patrick Connolly <patrick.c.connolly@gmail.com>
21
+Peter Borzov <tihoutrom@gmail.com>
22
+Quinn Slack <sqs@sourcegraph.com>
23
+Shanti Bouchez-Mongardé <shanti-pub.git@mildred.fr>
24
+Simon Kirkby <tigger@interthingy.com>
25
+Siraj Ravel <llSourcell@gmail.com>
26
+verokarhu <andreas.metsala@gmail.com>
docs/generate-authors.sh
new
+12
@@ -0,0 +1,12 @@
1
+#!/bin/bash
2
+set -e
3
+
4
+# see also ".mailmap" for how email addresses and names are deduplicated
5
+
6
+
7
+cat >AUTHORS <<-'EOF'
8
+# This file lists all individuals having contributed content to the repository.
9
+# For how it is generated, see `docs/generate-authors.sh`.
10
+
11
+EOF
12
+git log --format='%aN <%aE>' | LC_ALL=C.UTF-8 sort -uf >>AUTHORS